### Name: BrandX
### Title: Preference for Brand X Detergent
### Aliases: BrandX
### Keywords: datasets

### ** Examples

# Four-way Contingency Table

data( BrandX )

# fit poisson model

BrandX.fit <- glm( Fr ~ M.user*Temp*Soft+Brand,
   family = poisson, data = BrandX )
anova( BrandX.fit, test = "Chisq" )
drop1( BrandX.fit, formula( BrandX.fit), test = "Chisq" )

BrandX.step <- step(BrandX.fit,
   list( lower = formula( BrandX.fit ), upper = ~.^3 ),
   scale = 1, trace = FALSE)
BrandX.step$anova
anova( BrandX.step, test = "Chisq" )
BrandX.mod <- glm( terms( Fr ~ M.user*Temp*Soft +
   Brand*M.user*Temp, keep.order = TRUE ),
   family = poisson, data = BrandX )
summary(BrandX.mod, correlation = FALSE, test = "Chisq" )



