### Name: Brassica
### Title: Brassica Response to Herbicide
### Aliases: Brassica
### Keywords: datasets

### ** Examples

# full data set--code not ready yet!
# model fits for bill and leg
data( Brassica )

# drop Crop 2
Brassica <- data.frame(Brassica[ Brassica$crop != 2, ])
Brassica$crop <- factor( as.character( Brassica$crop ))

# Analysis based on lmer()
library(lme4)
Brassica1 <- data.frame( Brassica[ Brassica$year == 1, ] )
Brassica.lme <- lmer( yldkga ~ crop * pyrrat + (1|crop:block),
   data = Brassica1 )
anova( Brassica.lme )
VarCorr( Brassica.lme )

# Analysis based on aov() using Error() specification

Brassica.aov <- aov ( yldkga ~ crop * pyrrat +
   Error( block/crop ), Brassica1 )
summary( Brassica.aov )

# Analysis of full data set: both years

Brassica.full <- aov ( yldkga ~ crop * pyrrat * year +
   Error( year:block + crop:year:block ), Brassica )

Brassica.red <- aov ( yldkga ~ crop * year + pyrrat + crop:pyrrat +
   Error( year:block + crop:year:block ), Brassica)

# Analysis based on lmer()
Brassica1 <- data.frame( Brassica[ Brassica$year == 1, ] )
Brassica.lme <- lmer( yldkga ~ crop * pyrrat + (1|block:crop),
   data = Brassica1 )
Brassica$yrblk = interaction(Brassica[,c("year","block")])
Brassica$cropyrblk = interaction(Brassica[,c("crop","year","block")])
Brassica.fulle = lmer(yldkga ~ crop * pyrrat * year +
  (1|yrblk:cropyrblk), data = Brassica )
anova(Brassica.fulle)
Brassica.rede = lmer(yldkga ~ crop * year + pyrrat + crop:pyrrat +
  (1|yrblk:cropyrblk), data = Brassica )
anova(Brassica.rede)
anova(Brassica.rede,Brassica.fulle)

lsd.plot(Brassica.rede,factor=c("pyrrat","crop"),
   xlab = "pyr rate by crop",
   ylab = "mean crop yield" )

## Not run: 
##D # The following code is specialized to get plots for the book.
##D # It is not recommended as standard practice, but presented to
##D # show one torturous way to get LSMEANS for a nested design.
##D Brassica.red <- aov (yldkga ~ crop * year + pyrrat + crop:pyrrat +
##D    Error(year:block + crop:year:block), Brassica, qr = TRUE)
##D Brassica.proj <- proj ( Brassica.red )
##D Brassica.ref <- data.frame(Reference=c(Brassica.proj[[1]]))
##D for (i in names(Brassica.proj)[-1])
##D    Brassica.ref[[i]] <- apply( Brassica.proj[[i]], 1, sum )
##D 
##D # whole plot
##D Brassica.wp <- nested( Brassica.proj, Brassica, c("block","year","crop"), "yldkga",
##D    c(1,3), Brassica.ref )
##D 
##D Brassica.wpaov <- aov( yldkga ~ year*block + crop + crop:year, Brassica.wp,
##D    weight = Brassica.wp$weight)
##D 
##D # split plot
##D Brassica.sp <- nested( Brassica.proj, Brassica, c("block","year","crop","pyrrat"),
##D    "yldkga", c(1,4), Brassica.ref )
##D 
##D Brassica.spaov <- aov( yldkga ~ year*block*crop + pyrrat +
##D    crop:pyrrat, Brassica.sp )
##D 
##D margin.plot( Brassica.wpaov, factors = c("crop","year"),
##D    xlab = "(a) crop by year", ylab = "yield in 10000 kg" )
##D 
##D #Figure H:24.1 Brassicaica split split plot anova
##D 
##D lsd.plot( Brassica.spaov, factors = c("pyrrat","crop"),
##D    xpos = .6, ypos = 3.25,
##D    xlab = "(b) pyr rate by crop",
##D    ylab = "deviation from mean crop yield" )
## End(Not run)



