### Name: int.plot.lm
### Title: Linear Model-driven Interaction Plots of Response with Interval
###   Bars
### Aliases: lsd.plot.lm ci.plot.lm ci.plot.lme ci.plot.lmer int.plot.lm
###   int.plot.lme int.plot.lmer
### Keywords: design

### ** Examples

data(ToothGrowth)
ToothGrowth$dose = ordered(ToothGrowth$dose)
tooth.fit = aov(len~dose*supp, ToothGrowth)
lsd.plot( tooth.fit, ToothGrowth, factors = c("supp","dose"))

cat.lsm = lsmean(tooth.fit)
lsd.plot(tooth.fit, ToothGrowth, factors = c("supp","dose"),
         lsm = cat.lsm)



